/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class ApplicationMatricesVecteurs {
  
  public static void main(String [] args) {
  /* Definition, instanciation et affichage d'un vecteur  */
    Vecteur v = new Vecteur(2.2,3.1,-1.2,1.0);
    System.out.println("Vecteur v :");
    System.out.println(v);
  /* Definition et instanciation d'une matrice            */
    Matrice m = new Matrice();
  /* Transformation de m en une translation               */
    m.toTranslation(2.2,-5.0,3.4);
    System.out.println("Matrice m :");
    System.out.println(m);
  /* Multiplication de v par m                            */
    m.multiplie(v);
  /* Affichage de la nouvelle valeur de v                 */
    System.out.println("Produit de m par v :");
    System.out.println(v);
  /* Recreation du vecteur v a sa valeur initiale         */
    v = new Vecteur(2.2,3.1,-1.2,1.0);
  /* Multiplication de v par m                            */
    v.multiplie(m);
  /* Affichage de la nouvelle valeur de v                 */
    System.out.println("Produit de m par v :");
    System.out.println(v);
  /* Definition et instanciation d'une premiere matrice   */
    Matrice m1 = new Matrice();
  /* Transformation en une translation                    */
    m1.toTranslation(4.2,-2.0,1.4);
  /* Affichage                                            */
    System.out.println("Matrice m1 :");
    System.out.println(m1);
  /* Definition et instanciation d'une premiere matrice   */
    Matrice m2 = new Matrice();
  /* Transformation en une translation                    */
    m2.toTranslation(-1.7,4.2,3.4);
  /* Affichage                                            */
    System.out.println("Matrice m2 :");
    System.out.println(m2);
  /* Composition de m1 par m2 dans m1                     */
    m1.multiplie(m2);
  /* Reaffichage de m1                                    */
    System.out.println("Produit de m1 par m2 :");
    System.out.println(m1);
  }
}